Skip to main content
GET
/
v1
/
communications
/
groups
Lists communications groups
curl --request GET \
  --url https://api.rootly.com/v1/communications/groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/communications/groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/communications/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "communications_groups",
      "attributes": {
        "name": "<string>",
        "communication_type_id": "<string>",
        "is_private": true,
        "sms_channel": true,
        "email_channel": true,
        "created_at": "<string>",
        "updated_at": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "communication_group_conditions": [
          {
            "service_ids": [
              "<string>"
            ],
            "severity_ids": [
              "<string>"
            ],
            "functionality_ids": [
              "<string>"
            ],
            "group_ids": [
              "<string>"
            ],
            "incident_type_ids": [
              "<string>"
            ]
          }
        ],
        "member_ids": [
          123
        ],
        "slack_channel_ids": [
          "<string>"
        ],
        "communication_external_group_members": [
          {
            "id": "<string>",
            "name": "<string>",
            "email": "<string>",
            "phone_number": "<string>"
          }
        ]
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  },
  "meta": {
    "current_page": 123,
    "next_page": 123,
    "prev_page": 123,
    "total_count": 123,
    "total_pages": 123,
    "next_cursor": "<string>"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[number]
integer
page[size]
integer
filter[name]
string
filter[slug]
string
filter[is_private]
string
filter[communication_type_id]
string
filter[condition_type]
string
filter[created_at][gt]
string
filter[created_at][gte]
string
filter[created_at][lt]
string
filter[created_at][lte]
string
sort
string

Response

200 - application/vnd.api+json

communications groups found

data
object[]
required
meta
object
included
object[]